import * as $dara from '@darabonba/typescript';
import { UpdateHoneypotProbeBindResponseBody } from "./UpdateHoneypotProbeBindResponseBody";
export declare class UpdateHoneypotProbeBindResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateHoneypotProbeBindResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
